2022-08-11 09:48 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002183AlienBreed2[All Projects] Generalpublic2016-06-22 23:29
Reporterernsteiswuerfel 
Assigned ToJOTDProject InfoAlien Breed 2 (Team 17)
http://www.whdload.de/games/AlienBreed2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002183: Alienbreed 2 aga crashes when using rebounder weapon
DescriptionGameVersion: aga-version,english,pal,2 disks
SlaveVersion: version 1.3 (11.05.05)

Alienbreed 2 aga crashes more or less regularly on the 8th level, with following error code "Exception "Access Fault" ($B008) PC = $79DF551A (ExpMem $2251A) Word Read from $3228004C". This is the 2nd level after entering Levelcode "73737373". Can't remember Alienbreed 2 aga crahsing on the other levels before.. I can provide WHDL register and memory dumps too if needed. Thanks!
Tagsaccess_fault
MachineA1200
CPU68EC030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.5
KickROM39 - Kick 3.0
KickSoft40 - Kick 3.1
WHDLoad16.9
importedyes
Attached Files

-Relationships
related to 0001607closedJOTD AGA and ECS version both quit with Access Fault in third level after destroying the Terminal 
+Relationships

-Notes

note ~0001517

Mailman (reporter)

Last edited: 2009-11-01 14:10

Do you use rebounders as a weapon?

note ~0001518

ernsteiswuerfel (reporter)

Yep. Aint nothing cooler than rebounders ;) Is that a problem on certain levels?

note ~0001519

Mailman (reporter)

I already reported this to JOTD (issue 1607 though it is not clearly written there). Problem is that readme says that rebounders problem was solved while it wasn't. Try not using rebounders and the game won't crash.

note ~0004984

haynor666 (reporter)

Last edited: 2016-06-18 14:31

View 2 revisions

Sadly this weapon is the best so fix will be more than welcome :)

BTW. Fix was only for ECS version, probably wasn't fixed in AGA version.

note ~0004999

JOTD (developer)

I'm adding a trainer to the AGA version that will work without codes. I'll investigate the AF tomorrow.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-31 21:06 administrator New Issue
2009-10-31 21:06 administrator Status new => assigned
2009-10-31 21:06 administrator Assigned To => JOTD
2009-10-31 21:06 administrator Machine => A1200
2009-10-31 21:06 administrator CPU => 68EC030
2009-10-31 21:06 administrator CPUSpeed => 50
2009-10-31 21:06 administrator ChipSet => AGA
2009-10-31 21:06 administrator GFXCard => None
2009-10-31 21:06 administrator ChipMem => 2 MB
2009-10-31 21:06 administrator FastMem => 32 MB
2009-10-31 21:06 administrator Workbench => OS 3.5
2009-10-31 21:06 administrator KickROM => 39 - Kick 3.0
2009-10-31 21:06 administrator KickSoft => 40 - Kick 3.1
2009-10-31 21:06 administrator WHDLoad => 16.9
2009-10-31 21:06 administrator imported => yes
2009-11-01 14:10 Mailman Note Added: 0001517
2009-11-01 14:10 Mailman Note Edited: 0001517
2009-11-01 14:35 ernsteiswuerfel Note Added: 0001518
2009-11-01 14:47 Mailman Note Added: 0001519
2009-11-04 11:55 Wepl Relationship added related to 0001607
2009-11-04 11:56 Wepl Tag Attached: access_fault
2016-06-18 14:20 haynor666 Note Added: 0004984
2016-06-18 14:31 haynor666 Note Edited: 0004984 View Revisions
2016-06-19 23:17 JOTD Summary Alienbreed 2 aga crashes more or less regularly on the 8th level, with => Alienbreed 2 aga crashes when using rebounder weapon
2016-06-19 23:17 JOTD Description Updated View Revisions
2016-06-21 23:40 JOTD Note Added: 0004999
2016-06-21 23:40 JOTD Status assigned => acknowledged
2016-06-22 23:29 JOTD Status acknowledged => closed
2016-06-22 23:29 JOTD Resolution open => fixed
+Issue History